/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.workflows.bsh;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class ClassifySamples {

    public static void main(String[] args) {
        List<String> sampleErrorList = Arrays.asList(new String[] {
                "16", "8", "32", "2", "4", "1"
        });
        List<String> sampleList = sampleErrorList;
        String threshold = "10.5";

        BigDecimal tr = new BigDecimal(threshold);
        List<BigDecimal> errors = new ArrayList<BigDecimal>(sampleErrorList.size());
        for (String numStr : sampleErrorList)
            errors.add(new BigDecimal(numStr));
        int n = Math.min(sampleList.size(), errors.size());

        List<String> acceptableSampleList = new ArrayList<String>(n / 2 + 1);
        List<String> unacceptableSampleList = new ArrayList<String>(n / 2 + 1);

        for (int i = 0; i < n; i++) {
            if (errors.get(i).compareTo(tr) < 0)
                acceptableSampleList.add(sampleList.get(i));
            else
                unacceptableSampleList.add(sampleList.get(i));
        }

        System.out.println(Arrays.toString(acceptableSampleList.toArray()));
        System.out.println(Arrays.toString(unacceptableSampleList.toArray()));

    }

}
