/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.plot;

import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author michal
 */
public class Plot2D extends AbstractPlot {

    public static final int DIMENSION = 2;
    private final List<Plot2DPoint> points = new LinkedList<Plot2DPoint>();

    public Plot2D() {}

    public Plot2D(String label, List<Plot2DPoint> list) {
        this.points.addAll(list);
    }

    public int getDimension() {
        return DIMENSION;
    }

    public List<PlotPoint> getPoints() {
        List<PlotPoint> result = new LinkedList<PlotPoint>();
        for (Plot2DPoint point : this.points) {
            result.add(point);
        }
        return result;
    }

    public void addPoint(PlotPoint point) {
        if (point instanceof Plot2DPoint) {
            this.points.add((Plot2DPoint) point);
        } else {
            throw new IllegalArgumentException("Class " + Plot2D.class.getName() + " supports only " + Plot2DPoint.class.getName() + " points.");
        }
    }
}
