/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;

import java.math.BigDecimal;
import org.apache.log4j.Logger;
import pl.edu.mimuw.bioputer.tav4sb.consumer.task.AbstractWorker;
import pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.proc.SelectThreshold;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SelectThresholdParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SelectThresholdResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class SelectThresholdWorker extends AbstractWorker<SelectThresholdParams, SelectThresholdResult> {

    public SelectThresholdWorker(XmlTranslator<SelectThresholdResult, SelectThresholdParams> translator) {
        super(translator);
    }

    @Override
    public SelectThresholdResult doExecute(SelectThresholdParams param) throws Exception {
        BigDecimal result = SelectThreshold.selectThreshold(param.getErrors().getError(), param.getMethod());
        SelectThresholdResult str = new SelectThresholdResult();
        str.setThreshold(result);
        return str;
    }
}
