/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.prism.worker;

import pl.edu.mimuw.bioputer.tav4sb.consumer.task.Worker;
import pl.edu.mimuw.bioputer.tav4sb.consumer.task.WorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.logic.prism.Sbml2Prism;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.prism.Sbml2PrismParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.prism.Sbml2PrismResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author trybik
 */
public class Sbml2PrismWorkerFactory implements WorkerFactory {

    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.prism";
    private static final XmlTranslator<Sbml2PrismResult, Sbml2PrismParams> translator =
            new XmlTranslator<Sbml2PrismResult, Sbml2PrismParams>(context);
    private final Sbml2Prism cmd;

    public Sbml2PrismWorkerFactory(String javaCmd, String classpath, String sbml2prismClass) {
        this.cmd = new Sbml2Prism(javaCmd, classpath, sbml2prismClass);
    }

    private Sbml2Prism getCmd() {
        return cmd;
    }

    public static final Sbml2PrismWorkerFactory getInstance(String javaCmd, String classpath, String sbml2prismClass) {
        return new Sbml2PrismWorkerFactory(javaCmd, classpath, sbml2prismClass);
    }

    public Worker getWorker() {
        return new Sbml2PrismWorker(translator, getCmd());
    }

}
