/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.service.messages;

import org.apache.log4j.Logger;
import pl.edu.mimuw.bioputer.tav4sb.service.utils.WSProperties;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.add.AddParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.add.AddResult;

/**
 *
 * @author michal
 */
public class AddMessage extends IdWsMessage<AddParams, AddResult> {

    private static final Logger logger = Logger.getLogger(AddMessage.class);
    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.add";
    public static final String NAME = "add";
    private static final WSProperties props = new WSProperties(NAME);

    public AddMessage(AddParams params) {
        super(params, props);
    }

    @Override
    protected String getContext() {
        return context;
    }

    @Override
    public AddResult getResult() {
        logger.debug("Result list size: " + getResultList().size());
        return super.getResult();
    }

}
