/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.service;

import org.junit.Ignore;
import org.junit.Test;

import pl.edu.mimuw.bioputer.tav4sb.services.wsdl.AsyncPrismParamsCompact;
import pl.edu.mimuw.bioputer.tav4sb.services.wsdl.AsyncResult;
import pl.edu.mimuw.bioputer.tav4sb.services.wsdl.PrismParamsCompact;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.prism.PrismResult;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.prism.Sbml2PrismParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.prism.Sbml2PrismResult;

public class PrismTest extends Tav4SBPortTypeImplAbstractTest {
    private static final String testPrism = "testPrism";
    private static final String testAsyncPrism = "testAsyncPrism";
    private static final String testSbml2Prism = "testSbml2Prism";

//    @Ignore
    @Test
    public void testPrism() {
        Executor<PrismParamsCompact, PrismResult> exec = new Executor<PrismParamsCompact, PrismResult>(testPrism) {

            @Override
            protected PrismResult doTest(PrismParamsCompact param, Tav4SBPortTypeImpl instance) throws Exception {
                return instance.prism(param);
            }
        };
        exec.test(PrismParamsCompact.class, PrismResult.class);
    }

    /**
     * Test of assynPrism method, of class Tav4SBPortTypeImpl.
     */
//    @Ignore
    @Test
    public void testAsyncPrism() {
        Executor<AsyncPrismParamsCompact, AsyncResult> exec = new Executor<AsyncPrismParamsCompact, AsyncResult>(testAsyncPrism) {

            @Override
            protected AsyncResult doTest(AsyncPrismParamsCompact param, Tav4SBPortTypeImpl instance) throws Exception {
                return instance.asyncPrism(param);
            }
        };
        exec.test(AsyncPrismParamsCompact.class, AsyncResult.class);
    }

//    @Ignore
    @Test
    public void testSbml2Prism() {
        Executor<Sbml2PrismParams, Sbml2PrismResult> exec = new Executor<Sbml2PrismParams, Sbml2PrismResult>(testSbml2Prism) {

            @Override
            protected Sbml2PrismResult doTest(Sbml2PrismParams param, Tav4SBPortTypeImpl instance) throws Exception {
                return instance.sbml2Prism(param);
            }
        };
        exec.test(Sbml2PrismParams.class, Sbml2PrismResult.class);
    }
}
