(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     96475,       1943]
NotebookOptionsPosition[     94668,       1876]
NotebookOutlinePosition[     95043,       1893]
CellTagsIndexPosition[     95000,       1890]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["mathPlot.m", "Section",
 CellChangeTimes->{{3.49474650403174*^9, 3.494746506511388*^9}}],

Cell[CellGroupData[{

Cell["2D", "Subsection",
 CellChangeTimes->{{3.49482934480299*^9, 3.49482934673853*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MathPlot2D", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", 
         RowBox[{"-", "0.14736940129852497"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", 
         RowBox[{"-", "0.15611193159617162"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "0.03408937145572487"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "0.04011352443924523"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "0.21554814420997473"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "0.2363389804746621"}], "}"}]}], "}"}]}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{"\"\<Time [s]\>\"", ",", "\"\<MAPK*\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"PlotLegend", " ", "->", 
      RowBox[{"{", 
       RowBox[{"\"\<-SD\>\"", ",", "\"\<E\>\"", ",", "\"\<+SD\>\""}], "}"}]}],
      ","}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<Mean, activated MAPK amount +/- std deviation.\>\""}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"DashingType", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"Dashed", ",", "1", ",", "Dashed"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"MarkerColor", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Gray", ",", "Red", ",", 
      RowBox[{"{", 
       RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ThicknessLevel", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "1"}], "}"}]}]}], 
  RowBox[{"(*", 
   RowBox[{",", "\[IndentingNewLine]", 
    RowBox[{"LegendSize", " ", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"0.3", ",", "0.3"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"LegendTextSpace", " ", "\[Rule]", " ", "1"}]}], "*)"}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVsoQ3EAx/FjLjMjtye35Eg8oJUH5UH+DyKTXIooyZC9uOTFAzGX5JJL
YbkWpTCZFVty5yzXMmvEg8wZpo4yoowszu88fPs8fqMUdflVIoqiaD444gwq
HPTmSEjbYxG8koXtP0g4svKVL3g8X2K98+GIq9Ofhc+XRGXlZcIj2qBZtt7E
8h7o91phcqimE2b4xfXBF+nuGCSVKRPQ+afbgpnNiwwsyWj/glKm9hs2espd
0Hgx7WnjjV8oTIOsrZLA/tLyLKhq6RCcDOtqgONZpY0wTWlXQbWzrhdeq+VD
cOzHPgyrl+hZqAi0auBU9KYWOmbsgq9RsWuQpC/rYU6Z+za8jZwU9E08YaDb
XKgRllueLrVSjii51CtYnGS6g7+skoW6QfoHXhiyBcc3LPoV3j7GywDzPEwO
KNK6v8PED2mCjtcl+hT0uN4ehW+yJjUcKFrcXcXnfuEA0kenZ/Dm8FxQPH+v
CPbliIm2VcB6cU8NjHdIaqExpNvfy48jVoM8AMqofTMskGgsgjtBxzG8uRrK
BP8BTgITew==
  "]],

Cell[BoxData[
 GraphicsBox[
  GraphicsComplexBox[{{10., -0.14736940129852497`}, {
   20., -0.15611193159617162`}, {10., 0.03408937145572487}, {20., 
   0.04011352443924523}, {10., 0.21554814420997473`}, {20., 
   0.2363389804746621}}, {{{}, {}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      LineBox[{1, 2}]}, 
     {RGBColor[1, 0, 0], Thickness[
       NCache[
        Rational[1, 500], 0.002]], Opacity[1], Dashing[1], LineBox[{3, 4}]}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      LineBox[{5, 6}]}}, {
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->Small], 1], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->Small], 2]}, 
     {RGBColor[1, 0, 0], Thickness[
       NCache[
        Rational[1, 500], 0.002]], Opacity[1], Dashing[1], InsetBox[
       StyleBox["\<\"\[FilledSquare]\"\>",
        StripOnInput->False,
        FontSize->Small], 3], InsetBox[
       StyleBox["\<\"\[FilledSquare]\"\>",
        StripOnInput->False,
        FontSize->Small], 4]}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      InsetBox[
       StyleBox["\<\"\[FilledDiamond]\"\>",
        StripOnInput->False,
        FontSize->Small], 5], InsetBox[
       StyleBox["\<\"\[FilledDiamond]\"\>",
        StripOnInput->False,
        FontSize->Small], 6]}, {}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time [s]\"", TraditionalForm], 
    FormBox["\"MAPK*\"", TraditionalForm]},
  AxesOrigin->{10., 0},
  ImageSize->Large,
  LabelStyle->Bold,
  PlotLabel->FormBox[
   "\"Mean, activated MAPK amount +/- std deviation.\"", TraditionalForm],
  PlotRange->{{10., 20.}, {-0.15611193159617162`, 0.2363389804746621}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  TicksStyle->Plain]], "Output",
 CellChangeTimes->{
  3.495360042748414*^9, 3.495360129064052*^9, {3.495360242858158*^9, 
   3.495360265253588*^9}, 3.495360587209749*^9, 3.495360683637606*^9, 
   3.495361546697884*^9, 3.495365279445262*^9, 3.495365319673917*^9, 
   3.495365368965866*^9, {3.495365400068604*^9, 3.495365416722685*^9}, {
   3.495365623913642*^9, 3.495365630915956*^9}, {3.495365682686425*^9, 
   3.495365722652381*^9}, 3.495365757838793*^9, 3.495365831465784*^9, 
   3.49536610342154*^9, 3.495366138774367*^9, 3.495366174088005*^9, 
   3.495366574443388*^9, 3.495366604914407*^9, 3.495366669096291*^9, 
   3.495366703374187*^9, {3.4953667357514*^9, 3.495366753695942*^9}, 
   3.495366947829088*^9, 3.495367018932691*^9, 3.495367097206162*^9, {
   3.495367160174113*^9, 3.495367180325218*^9}, 3.495367252856345*^9, 
   3.495367449402119*^9, 3.495367494146151*^9, 3.495367621862606*^9, {
   3.49536770157509*^9, 3.495367764329783*^9}, 3.495367840448601*^9, {
   3.49536795660251*^9, 3.495367974027422*^9}, {3.495368007254893*^9, 
   3.495368024558996*^9}, 3.495368055960312*^9, {3.495368098873848*^9, 
   3.495368137610263*^9}, 3.495368173667296*^9, 3.495368227077847*^9, 
   3.495786168285107*^9, {3.49578621498842*^9, 3.49578623334473*^9}, {
   3.495786440863758*^9, 3.495786452295727*^9}, 3.49578747347933*^9, 
   3.495787559558307*^9, 3.495787953023783*^9, 3.495788064760458*^9, 
   3.4957882463587*^9, {3.495788397143236*^9, 3.495788424967391*^9}, {
   3.495788901765695*^9, 3.495788906882044*^9}, 3.495789521163518*^9, {
   3.495789738177179*^9, 3.495789748669771*^9}, {3.495794785958691*^9, 
   3.495794790968154*^9}, 3.495795126341123*^9, {3.495796217420786*^9, 
   3.495796246477202*^9}, 3.495796318817605*^9, 3.495796978475615*^9, 
   3.495992095893127*^9, 3.495992176911583*^9, 3.495992268976264*^9, {
   3.496488991309171*^9, 3.496488997050213*^9}, 3.496489044573699*^9, 
   3.496489091516476*^9, 3.49648972538669*^9, {3.496490639804138*^9, 
   3.496490653788841*^9}, {3.496554052306432*^9, 3.496554104519073*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Currently in tests", "Subsubsection",
 CellChangeTimes->{{3.495885130776207*^9, 3.495885134215706*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MathPlot2D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "0.03408937145572487"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "0.04011352443924523"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "0.21554814420997473"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "0.2363389804746621"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", 
         RowBox[{"-", "0.14736940129852497"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", 
         RowBox[{"-", "0.15611193159617162"}]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"MarkerColor", ",", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Gray", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0.5", ",", "0.5"}], "}"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"PlotLegend", ",", "None"}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"ThicknessLevel", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{
    "PlotLabel", ",", 
     "\"\<Mean, activated MAPK amount +/- std deviation.\>\""}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"AxesLabel", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<Time [s]\>\"", ",", "\"\<MAPK*\>\""}], "}"}]}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"DashingType", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "Dashed", ",", "Dashed"}], "}"}]}], "]"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  GraphicsComplexBox[{{10., 0.03408937145572487}, {20., 
   0.04011352443924523}, {10., 0.21554814420997473`}, {20., 
   0.2363389804746621}, {10., -0.14736940129852497`}, {
   20., -0.15611193159617162`}}, {{{}, {}, 
     {RGBColor[1, 0, 0], Thickness[
       NCache[
        Rational[1, 500], 0.002]], Opacity[1], Dashing[1], LineBox[{1, 2}]}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      LineBox[{3, 4}]}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      LineBox[{5, 6}]}}, {
     {RGBColor[1, 0, 0], Thickness[
       NCache[
        Rational[1, 500], 0.002]], Opacity[1], Dashing[1], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->Small], 1], InsetBox[
       StyleBox["\<\"\[FilledCircle]\"\>",
        StripOnInput->False,
        FontSize->Small], 2]}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      InsetBox[
       StyleBox["\<\"\[FilledSquare]\"\>",
        StripOnInput->False,
        FontSize->Small], 3], InsetBox[
       StyleBox["\<\"\[FilledSquare]\"\>",
        StripOnInput->False,
        FontSize->Small], 4]}, 
     {RGBColor[0.5, 0.5, 0.5], Thickness[
       NCache[
        Rational[1, 1000], 0.001]], Opacity[1], Dashing[{Small, Small}], 
      InsetBox[
       StyleBox["\<\"\[FilledDiamond]\"\>",
        StripOnInput->False,
        FontSize->Small], 5], InsetBox[
       StyleBox["\<\"\[FilledDiamond]\"\>",
        StripOnInput->False,
        FontSize->Small], 6]}, {}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Time [s]\"", TraditionalForm], 
    FormBox["\"MAPK*\"", TraditionalForm]},
  AxesOrigin->{10., 0},
  ImageSize->Large,
  LabelStyle->Bold,
  PlotLabel->FormBox[
   "\"Mean, activated MAPK amount +/- std deviation.\"", TraditionalForm],
  PlotRange->{{10., 20.}, {-0.15611193159617162`, 0.2363389804746621}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  TicksStyle->Plain]], "Output",
 CellChangeTimes->{3.495885136052299*^9, 3.495967365536937*^9, 
  3.495972901763579*^9, 3.49597346860477*^9, 3.49597445043019*^9, 
  3.495992396789493*^9, 3.496490631577315*^9, 3.499518033395263*^9, 
  3.500049810722067*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["3D", "Subsection",
 CellChangeTimes->{{3.495885127640521*^9, 3.495885127912002*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"x", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"10.0", ",", "1.0", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.0", ",", "1.0", ",", "0.4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"10.0", ",", "2.0", ",", "0.7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"20.0", ",", "2.0", ",", "1.0"}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SuperscriptBox["sd", "+"], " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"10.0", ",", "1.0", ",", "0.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20.0", ",", "1.0", ",", "0.25"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10.0", ",", "2.0", ",", "0.3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20.0", ",", "2.0", ",", "0.35"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SuperscriptBox["sd", "-"], " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"10.0", ",", "1.0", ",", 
       RowBox[{"-", "0.15"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20.0", ",", "1.0", ",", 
       RowBox[{"-", "0.175"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10.0", ",", "2.0", ",", 
       RowBox[{"-", "0.25"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20.0", ",", "2.0", ",", 
       RowBox[{"-", "0.3"}]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"addZ", " ", "=", " ", 
   RowBox[{
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", 
         RowBox[{"1", ";;", "2"}]}], "]"}], "]"}], ",", " ", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "3"}], "]"}], "]"}], "+", 
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"2", ",", "3"}], "]"}], "]"}]}]}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  SuperscriptBox["x", "+"], "=", " ", 
  RowBox[{"addZ", "/@", 
   RowBox[{"Pairs", "[", 
    RowBox[{"x", ",", 
     SuperscriptBox["sd", "+"]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SuperscriptBox["x", "-"], "=", " ", 
   RowBox[{"addZ", "/@", 
    RowBox[{"Pairs", "[", 
     RowBox[{"x", ",", 
      SuperscriptBox["sd", "-"]}], "]"}]}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"y", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"10", "+", 
          RowBox[{"10", "*", "i"}]}], ",", " ", 
         RowBox[{"1.5", "+", 
          RowBox[{"RandomReal", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}], ",", "i"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "1", ",", "0.1"}], "}"}]}], "]"}]}], 
    ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"MathPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SuperscriptBox["x", "-"], ",", "x", ",", 
     SuperscriptBox["x", "+"]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Time [s]\>\"", ",", "\"\<S(0)\>\"", ",", " ", "\"\<MAPK*\>\""}], 
     "}"}]}], ",", 
   RowBox[{
   "PlotLabel", "\[Rule]", 
    "\"\<Mean, activated MAPK +/- std deviation vs. initial input\>\""}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"PlotLegend", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<standardDeviationMinus\>\"", ",", "\"\<R{activated}\>\"", ",", 
        "\"\<standardDeviationPlus\>\""}], "}"}]}], ","}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"LegendSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0.3"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
   RowBox[{"OpacityLevel", " ", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"0.2", ",", "0.9", ",", "0.2"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"MarkerColor", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Gray", ",", " ", "Red", ",", " ", "Gray"}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.494828779760651*^9, 3.49482878102895*^9}, {
   3.494829171019736*^9, 3.494829334243373*^9}, {3.494831158037887*^9, 
   3.49483128649512*^9}, {3.494845969463916*^9, 3.494845971428263*^9}, {
   3.495272887968755*^9, 3.495273012406472*^9}, 3.495274181922425*^9, 
   3.495274212340183*^9, {3.495276821015393*^9, 3.495276823098599*^9}, {
   3.495277900427595*^9, 3.495277934409201*^9}, {3.495277996982119*^9, 
   3.495277999303267*^9}, {3.495278235988801*^9, 3.495278245019096*^9}, {
   3.495278680333356*^9, 3.495278683647973*^9}, 3.495279089546808*^9, {
   3.495360965355468*^9, 3.495360965717126*^9}, {3.495362039740677*^9, 
   3.495362041318374*^9}, {3.495362095647389*^9, 3.495362096058184*^9}, {
   3.495365582164068*^9, 3.495365587491332*^9}, {3.495365637242887*^9, 
   3.495365638938561*^9}, {3.495367229083075*^9, 3.495367245989316*^9}, {
   3.495367319306348*^9, 3.495367320185944*^9}, {3.495367575553028*^9, 
   3.495367666891121*^9}, {3.495367791993966*^9, 3.495367835092392*^9}, {
   3.49536818627246*^9, 3.495368196664878*^9}, {3.495784781769824*^9, 
   3.495784825428483*^9}, {3.495784872122866*^9, 3.495784905248227*^9}, {
   3.495785092126038*^9, 3.495785093530743*^9}, {3.495785404691086*^9, 
   3.495785426244487*^9}, {3.495785492557643*^9, 3.495785494623428*^9}, {
   3.495785534408059*^9, 3.495785553757966*^9}, {3.495785977509611*^9, 
   3.495785992241917*^9}, {3.495789771938147*^9, 3.495789777691136*^9}, {
   3.495789909664402*^9, 3.495789911388837*^9}, {3.495790739668437*^9, 
   3.495790741021691*^9}, {3.495795196082793*^9, 3.495795197316541*^9}, {
   3.495795427576217*^9, 3.495795430319543*^9}, {3.495795870508245*^9, 
   3.49579587186514*^9}, {3.495796296942988*^9, 3.495796341478115*^9}, {
   3.495796646118949*^9, 3.495796658597781*^9}, {3.495796704369312*^9, 
   3.495796706827447*^9}, {3.495796870032387*^9, 3.495797000615747*^9}, {
   3.495866353551153*^9, 3.495866356600989*^9}, {3.495963291221222*^9, 
   3.495963373278101*^9}, {3.49599242033492*^9, 3.495992424854743*^9}, {
   3.495992462151205*^9, 3.495992479269204*^9}, {3.495992596521278*^9, 
   3.495992598392157*^9}, 3.495992678406173*^9, {3.495992854364124*^9, 
   3.495992867696766*^9}, {3.495992909272381*^9, 3.495992957124657*^9}, {
   3.496489130281901*^9, 3.496489143648681*^9}, {3.496490674919937*^9, 
   3.49649067898254*^9}, {3.496554001595888*^9, 3.496554008208747*^9}, {
   3.496554201993662*^9, 3.496554203035113*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"10.`", ",", "1.`", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "1.`", ",", "0.4`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", "2.`", ",", "0.7`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "2.`", ",", "1.`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.495796324804065*^9, 3.495796341883666*^9}, {
   3.495796650623713*^9, 3.495796825088683*^9}, {3.495796890761121*^9, 
   3.495797001445998*^9}, {3.495797033448002*^9, 3.495797087348118*^9}, 
   3.495797131386077*^9, 3.495866357310468*^9, {3.495963294699611*^9, 
   3.495963367609596*^9}, 3.49599094703686*^9, 3.495992425667898*^9, {
   3.495992465102205*^9, 3.495992479736857*^9}, 3.495992599118026*^9, 
   3.495992678906175*^9, 3.495992868411178*^9, {3.495992921571464*^9, 
   3.495992957429178*^9}, 3.49648914528121*^9, 3.496489718043829*^9, 
   3.496490680229906*^9, 3.496554009356046*^9, 3.496554203645429*^9, 
   3.496554834498215*^9, 3.500049787040141*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"10.`", ",", "1.`", ",", "2.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "1.`", ",", "0.65`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", "2.`", ",", "1.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "2.`", ",", "1.35`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.495796324804065*^9, 3.495796341883666*^9}, {
   3.495796650623713*^9, 3.495796825088683*^9}, {3.495796890761121*^9, 
   3.495797001445998*^9}, {3.495797033448002*^9, 3.495797087348118*^9}, 
   3.495797131386077*^9, 3.495866357310468*^9, {3.495963294699611*^9, 
   3.495963367609596*^9}, 3.49599094703686*^9, 3.495992425667898*^9, {
   3.495992465102205*^9, 3.495992479736857*^9}, 3.495992599118026*^9, 
   3.495992678906175*^9, 3.495992868411178*^9, {3.495992921571464*^9, 
   3.495992957429178*^9}, 3.49648914528121*^9, 3.496489718043829*^9, 
   3.496490680229906*^9, 3.496554009356046*^9, 3.496554203645429*^9, 
   3.496554834498215*^9, 3.500049787042851*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"10.`", ",", "1.`", ",", "1.85`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "1.`", ",", "0.22500000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", "2.`", ",", "0.44999999999999996`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "2.`", ",", "0.7`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.495796324804065*^9, 3.495796341883666*^9}, {
   3.495796650623713*^9, 3.495796825088683*^9}, {3.495796890761121*^9, 
   3.495797001445998*^9}, {3.495797033448002*^9, 3.495797087348118*^9}, 
   3.495797131386077*^9, 3.495866357310468*^9, {3.495963294699611*^9, 
   3.495963367609596*^9}, 3.49599094703686*^9, 3.495992425667898*^9, {
   3.495992465102205*^9, 3.495992479736857*^9}, 3.495992599118026*^9, 
   3.495992678906175*^9, 3.495992868411178*^9, {3.495992921571464*^9, 
   3.495992957429178*^9}, 3.49648914528121*^9, 3.496489718043829*^9, 
   3.496490680229906*^9, 3.496554009356046*^9, 3.496554203645429*^9, 
   3.496554834498215*^9, 3.500049787045259*^9}],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{10., 1., 1.85}, {10., 2., 0.44999999999999996`}, {
    20., 1., 0.22500000000000003`}, {20., 2., 0.7}, {10., 1., 2.}, {10., 2., 
    0.7}, {20., 1., 0.4}, {20., 2., 1.}, {10., 1., 2.2}, {10., 2., 1.}, {20., 
    1., 0.65}, {20., 2., 1.35}}, {{
      {RGBColor[0.5, 0.5, 0.5], Opacity[0.2], Dashing[1], EdgeForm[None], 
       GraphicsGroup3DBox[Polygon3DBox[{{3, 4, 2}, {1, 3, 2}}]]}, 
      {RGBColor[1, 0, 0], Opacity[0.9], Dashing[1], EdgeForm[None], 
       GraphicsGroup3DBox[Polygon3DBox[{{5, 7, 6}, {7, 8, 6}}]]}, 
      {RGBColor[0.5, 0.5, 0.5], Opacity[0.2], Dashing[1], EdgeForm[None], 
       GraphicsGroup3DBox[
        Polygon3DBox[{{11, 12, 10}, {9, 11, 10}}]]}, {}, {}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[{2, 4, 3, 1, 2}]}, 
      {GrayLevel[0], Line3DBox[{6, 8, 7, 5, 6}]}, 
      {GrayLevel[0], Line3DBox[{10, 12, 11, 9, 10}]}}},
    VertexNormals->{{0.09403270347305073, 0.8101279068447448, 
     0.5786627906033891}, {0.046654115899129135`, 0.24887353093683523`, 
     0.9674116802420275}, {0.046654115899129135`, 0.24887353093683523`, 
     0.9674116802420275}, {-0.022576182049286547`, -0.4289474589364443, 
     0.9030472819714619}, {0.0970928127505766, 0.7888791035984349, 
     0.6068300796911038}, {0.04786292334076411, 0.18410719462066572`, 
     0.9817401292899177}, {0.04786292334076411, 0.18410719462066572`, 
     0.9817401292899177}, {-0.025716280115386687`, -0.5143256023077337, 
     0.8572093371795562}, {0.0987436424106831, 0.7644669089859336, 
     0.6370557574882779}, {0.04767086801469668, 0.130083966478157, 
     0.9903563247680276}, {0.04767086801469668, 0.130083966478157, 
     0.9903563247680276}, {-0.028661337713054364`, -0.5732267542610872, 
     0.8188953632301245}}], 
   {RGBColor[0.5, 0.5, 0.5], PointSize[Medium], 
    Point3DBox[{{10., 1., 1.85}, {20., 1., 0.22500000000000003`}, {10., 2., 
     0.44999999999999996`}, {20., 2., 0.7}}]}, 
   {RGBColor[1, 0, 0], PointSize[Medium], 
    Point3DBox[{{10., 1., 2}, {20., 1., 0.4}, {10., 2., 0.7}, {20., 2., 
      1.}}]}, 
   {RGBColor[0.5, 0.5, 0.5], PointSize[Medium], 
    Point3DBox[{{10., 1., 2.2}, {20., 1., 0.65}, {10., 2., 1.}, {20., 2., 
     1.35}}]}},
  Axes->True,
  AxesLabel->{
    FormBox["\"Time [s]\"", TraditionalForm], 
    FormBox["\"S(0)\"", TraditionalForm], 
    FormBox["\"MAPK*\"", TraditionalForm]},
  BoxRatios->{1, 1, 0.4},
  ImageSize->Large,
  LabelStyle->Bold,
  Method->{"RotationControl" -> "Globe"},
  PlotLabel->FormBox[
   "\"Mean, activated MAPK +/- std deviation vs. initial input\"", 
    TraditionalForm],
  PlotRange->{{10., 20.}, {1., 2.}, {0.22500000000000003`, 2.2}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  TicksStyle->Plain,
  ViewPoint->{1, -2, 1.3}]], "Output",
 CellChangeTimes->{{3.495796324804065*^9, 3.495796341883666*^9}, {
   3.495796650623713*^9, 3.495796825088683*^9}, {3.495796890761121*^9, 
   3.495797001445998*^9}, {3.495797033448002*^9, 3.495797087348118*^9}, 
   3.495797131386077*^9, 3.495866357310468*^9, {3.495963294699611*^9, 
   3.495963367609596*^9}, 3.49599094703686*^9, 3.495992425667898*^9, {
   3.495992465102205*^9, 3.495992479736857*^9}, 3.495992599118026*^9, 
   3.495992678906175*^9, 3.495992868411178*^9, {3.495992921571464*^9, 
   3.495992957429178*^9}, 3.49648914528121*^9, 3.496489718043829*^9, 
   3.496490680229906*^9, 3.496554009356046*^9, 3.496554203645429*^9, 
   3.496554834498215*^9, 3.500049787168842*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Currently in tests", "Subsubsection",
 CellChangeTimes->{{3.495885077016038*^9, 3.495885080521741*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MathPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "1.0", ",", "2.0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "1.0", ",", "0.4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"10.0", ",", "2.0", ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "2.0", ",", "1.0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "1.0", ",", "2.2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "1.0", ",", "0.65"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"10.0", ",", "2.0", ",", "1.0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "2.0", ",", "1.35"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"10.0", ",", "1.0", ",", "1.85"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "1.0", ",", "0.225"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"10.0", ",", "2.0", ",", "0.45"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"20.0", ",", "2.0", ",", "0.7"}], "}"}]}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"OpacityLevel", ",", 
     RowBox[{"{", 
      RowBox[{"0.9", ",", "0.2", ",", "0.2"}], "}"}]}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"MarkerColor", ",", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Gray", ",", "Gray"}], "}"}]}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"PlotLegend", ",", "None"}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"ColorFunction", ",", "None"}], "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{
    "PlotLabel", ",", 
     "\"\<Mean, activated MAPK +/- std deviation vs. initial input\>\""}], 
    "]"}], ",", 
   RowBox[{"Rule", "[", 
    RowBox[{"AxesLabel", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<Time [s]\>\"", ",", "\"\<S(0)\>\"", ",", "\"\<MAPK*\>\""}],
       "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{10., 1., 2.}, {10., 2., 0.7}, {20., 1., 0.4}, {20., 
    2., 1.}, {10., 1., 2.2}, {10., 2., 1.}, {20., 1., 0.65}, {20., 2., 
    1.35}, {10., 1., 1.85}, {10., 2., 0.45}, {20., 1., 0.225}, {20., 2., 
    0.7}}, {{
      {RGBColor[1, 0, 0], Opacity[0.9], Dashing[1], EdgeForm[None], 
       GraphicsGroup3DBox[Polygon3DBox[{{3, 4, 2}, {1, 3, 2}}]]}, 
      {RGBColor[0.5, 0.5, 0.5], Opacity[0.2], Dashing[1], EdgeForm[None], 
       GraphicsGroup3DBox[Polygon3DBox[{{5, 7, 6}, {7, 8, 6}}]]}, 
      {RGBColor[0.5, 0.5, 0.5], Opacity[0.2], Dashing[1], EdgeForm[None], 
       GraphicsGroup3DBox[
        Polygon3DBox[{{11, 12, 10}, {9, 11, 10}}]]}, {}, {}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[{2, 4, 3, 1, 2}]}, 
      {GrayLevel[0], Line3DBox[{6, 8, 7, 5, 6}]}, 
      {GrayLevel[0], Line3DBox[{10, 12, 11, 9, 10}]}}},
    VertexNormals->{{0.0970928127505766, 0.7888791035984349, 
     0.6068300796911038}, {0.04786292334076411, 0.18410719462066572`, 
     0.9817401292899177}, {0.04786292334076411, 0.18410719462066572`, 
     0.9817401292899177}, {-0.025716280115386687`, -0.5143256023077337, 
     0.8572093371795562}, {0.0987436424106831, 0.7644669089859336, 
     0.6370557574882779}, {0.04767086801469668, 0.130083966478157, 
     0.9903563247680276}, {0.04767086801469668, 0.130083966478157, 
     0.9903563247680276}, {-0.028661337713054364`, -0.5732267542610872, 
     0.8188953632301245}, {0.09403270347305072, 0.8101279068447449, 
     0.5786627906033892}, {0.04665411589912913, 0.2488735309368353, 
     0.9674116802420275}, {0.04665411589912913, 0.2488735309368353, 
     0.9674116802420275}, {-0.02257618204928654, -0.4289474589364443, 
     0.9030472819714619}}], 
   {RGBColor[1, 0, 0], PointSize[Medium], 
    Point3DBox[{{10., 1., 2.}, {20., 1., 0.4}, {10., 2., 0.7}, {20., 2., 
     1.}}]}, 
   {RGBColor[0.5, 0.5, 0.5], PointSize[Medium], 
    Point3DBox[{{10., 1., 2.2}, {20., 1., 0.65}, {10., 2., 1.}, {20., 2., 
     1.35}}]}, 
   {RGBColor[0.5, 0.5, 0.5], PointSize[Medium], 
    Point3DBox[{{10., 1., 1.85}, {20., 1., 0.225}, {10., 2., 0.45}, {20., 2., 
     0.7}}]}},
  Axes->True,
  AxesLabel->{
    FormBox["\"Time [s]\"", TraditionalForm], 
    FormBox["\"S(0)\"", TraditionalForm], 
    FormBox["\"MAPK*\"", TraditionalForm]},
  BoxRatios->{1, 1, 0.4},
  ImageSize->Large,
  LabelStyle->Bold,
  Method->{"RotationControl" -> "Globe"},
  PlotLabel->FormBox[
   "\"Mean, activated MAPK +/- std deviation vs. initial input\"", 
    TraditionalForm],
  PlotRange->{{10., 20.}, {1., 2.}, {0.225, 2.2}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  TicksStyle->Plain,
  ViewPoint->{1, -2, 1.3}]], "Output",
 CellChangeTimes->{
  3.49588508401039*^9, 3.495885201759586*^9, 3.495967413826834*^9, 
   3.495991301717651*^9, 3.495991429941188*^9, 3.49599266484047*^9, 
   3.495992830024612*^9, 3.495993531653564*^9, 3.496490687555792*^9, 
   3.496554197008143*^9, 3.496554838836795*^9, 3.499518029375251*^9, {
   3.50004978363124*^9, 3.500049806635265*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["sample.m", "Section",
 CellChangeTimes->{{3.5147099662203074`*^9, 3.5147099780562067`*^9}}],

Cell[BoxData[
 RowBox[{"<<", 
  "\"\</Users/trybik/work/taverna/tav4sb/server/logic/mathematica/src/main/\
resources/script/sample.m\>\""}]], "Input",
 CellChangeTimes->{{3.5147103298764343`*^9, 3.5147103329430304`*^9}, {
  3.514710370025331*^9, 3.514710391150399*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sample", "[", 
  RowBox[{
  "\"\<uniform\>\"", ",", "\"\<LIN\>\"", ",", "\"\<LHS\>\"", ",", "5", ",", 
   RowBox[{"{", 
    RowBox[{"0.1", ",", "0.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.5147100871619453`*^9, 3.5147101195420027`*^9}, {
  3.514710153639473*^9, 3.5147102813300447`*^9}, {3.514710318660454*^9, 
  3.51471031950432*^9}, {3.514784102753661*^9, 3.514784148457446*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"9.6969283685911`", ",", "7.765376651876355`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.3481862625108894`", ",", "4.153944183886644`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6.342426406494952`", ",", "1.5735661935752943`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.4284153172658725`", ",", "8.255887895904578`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.1553168001902954`", ",", "3.623847661581579`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.514710272779429*^9, 3.5147102817967*^9}, 
   3.514710319885195*^9, 3.51471039405621*^9, 3.5147841491353683`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["misc", "Section",
 CellChangeTimes->{{3.518152828643991*^9, 3.518152835744916*^9}}],

Cell[BoxData[
 RowBox[{"<<", 
  "\"\</Users/trybik/work/taverna/tav4sb/server/logic/mathematica/src/main/\
resources/script/CalcSensitivity.m\>\""}]], "Input",
 CellChangeTimes->{{3.518152843275146*^9, 3.518152858801639*^9}}],

Cell[BoxData["Axes"], "Input",
 CellChangeTimes->{{3.518152885505095*^9, 3.518152885966728*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PlotFrequency", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0.12", ",", "0.16", ",", "0.18", ",", "0.22", ",", "0.25", ",", "0.27", 
     ",", "0.31", ",", "0.36", ",", "0.37", ",", "0.41"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}], ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rational", "[", 
        RowBox[{"2", ",", "5"}], "]"}], ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rational", "[", 
        RowBox[{"3", ",", "5"}], "]"}], ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Rational", "[", 
        RowBox[{"4", ",", "5"}], "]"}], ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"1", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"2", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"3", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"Rational", "[", 
        RowBox[{"4", ",", "5"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", "\"\<k3.k (kinetic)\>\"", 
   ",", "\"\<Cumulative frequency\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.518152837892466*^9, 3.51815283789511*^9}}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{
      {RGBColor[0, 1, 0], PointSize[Medium], Thickness[Large], 
       LineBox[{{0.12, 0.}, {0.16, 0.2}, {0.18, 0.4}, {0.22, 0.6}, {0.25, 
        0.8}, {0.27, 1.}, {0.31, 1.}, {0.36, 1.}, {0.37, 1.}, {0.41, 1.}}]}, 
      {RGBColor[1, 0, 0], PointSize[Medium], Thickness[Large], 
       LineBox[{{0.12, 0.2}, {0.16, 0.2}, {0.18, 0.2}, {0.22, 0.2}, {0.25, 
        0.2}, {0.27, 0.2}, {0.31, 0.4}, {0.36, 0.6}, {0.37, 0.8}, {0.41, 
        1.}}]}},
     AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
     Axes->None,
     Frame->{{True, False}, {True, False}},
     FrameLabel->{
       FormBox["\"k3.k (kinetic)\"", TraditionalForm], 
       FormBox["\"Cumulative frequency\"", TraditionalForm]},
     PlotRange->Automatic,
     PlotRangeClipping->True], {-1, -0.6180339887498948}, {
    Left, Bottom}, {2, 1.2360679774997896`}], GraphicsGroupBox[{
     {GrayLevel[0], 
      RectangleBox[{0.75, -0.25}, {1.45, 0.2749999999999999}]}, 
     {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
      GraphicsGroupBox[{
        RectangleBox[{0.75, -0.25}, {1.45, 0.2749999999999999}], InsetBox[
         GraphicsBox[{{{InsetBox[
              GraphicsBox[
               {RGBColor[1, 0, 0], Thickness[Large], 
                LineBox[{{-1, 0}, {1, 0}}]}], {0.08, 0.08}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"unacceptable\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
               Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[
               {RGBColor[0, 1, 0], Thickness[Large], 
                LineBox[{{-1, 0}, {1, 0}}]}], {0.08, 1.24}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"acceptable\"\>", {1.2100000000000002`, 1.74}, {-1, 0},
               Automatic, {1, 0}]}}, {}},
          AspectRatio->0.7499999999999999,
          PlotRange->{{-0.1, 3.26}, {-0.1, 2.42}}], {0.75, -0.25}, {
         Left, Bottom}, {0.7, 0.5249999999999999}]}]}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImageSize->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.51815286099684*^9, 3.518152924972558*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{768, 852},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 94, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[686, 27, 88, 1, 34, "Subsection"],
Cell[CellGroupData[{
Cell[799, 32, 2801, 71, 238, "Input"],
Cell[3603, 105, 4300, 90, 365, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7940, 200, 109, 1, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[8074, 205, 1698, 49, 118, "Input"],
Cell[9775, 256, 2517, 65, 365, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12353, 328, 90, 1, 34, "Subsection"],
Cell[CellGroupData[{
Cell[12468, 333, 6635, 160, 253, "Input"],
Cell[19106, 495, 1041, 20, 27, "Output"],
Cell[20150, 517, 1046, 20, 27, "Output"],
Cell[21199, 539, 1078, 20, 27, "Output"],
Cell[22280, 561, 32133, 537, 449, 2822, 56, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54450, 1103, 109, 1, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[54584, 1108, 2045, 57, 118, "Input"],
Cell[56632, 1167, 31708, 533, 449, 2735, 56, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[88413, 1708, 97, 1, 67, "Section"],
Cell[88513, 1711, 269, 5, 43, "Input"],
Cell[CellGroupData[{
Cell[88807, 1720, 547, 12, 27, "Input"],
Cell[89357, 1734, 658, 15, 43, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[90064, 1755, 89, 1, 67, "Section"],
Cell[90156, 1758, 225, 4, 43, "Input"],
Cell[90384, 1764, 96, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[90505, 1769, 1952, 56, 88, "Input"],
Cell[92460, 1827, 2180, 45, 197, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
